curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agents/{id}/releases \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"version_label": 123,
"style": "default",
"created_by": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"tools": [
"<string>"
],
"collaborators": [
"<string>"
],
"llm": "<string>",
"supported_apps": [
"slack/askhr"
],
"points_to": [],
"comments": "<string>",
"mapped_environments": [],
"deleted_by": "<string>",
"hidden": false,
"environments": [],
"deleted_at": "2023-11-07T05:31:56Z",
"knowledge_base": [],
"display_name": "<string>",
"structured_output": {},
"guidelines": [],
"custom_join_tool": {},
"tags": [],
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_status": "<string>",
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false
}
]Lists all agent versions by agentid.
curl --request GET \
--url https://{api_endpoint}/api/v1/orchestrate/agents/{id}/releases \
--header 'Authorization: Bearer <token>'[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"name": "<string>",
"description": "<string>",
"version_label": 123,
"style": "default",
"created_by": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"tools": [
"<string>"
],
"collaborators": [
"<string>"
],
"llm": "<string>",
"supported_apps": [
"slack/askhr"
],
"points_to": [],
"comments": "<string>",
"mapped_environments": [],
"deleted_by": "<string>",
"hidden": false,
"environments": [],
"deleted_at": "2023-11-07T05:31:56Z",
"knowledge_base": [],
"display_name": "<string>",
"structured_output": {},
"guidelines": [],
"custom_join_tool": {},
"tags": [],
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_status": "<string>",
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Unique identifier for the agent
ID of the tenant that owns this agent
Name of the agent
Description of what the agent does
Version of the deployed agent
Style of the agent
default, react, planner, react_intrinsic ID of the user who created the agent
Creation timestamp
ID of the user who updated the agent
Last update timestamp
Instructions for the agent
List of tool names available to the agent
List of other agent names this agent can collaborate with
LLM identifier for the agent
Supported apps of the agent
slack/askhr Environment IDs points to this version
Comments added by the user while deploying an agent
List of Environments points to the agent version
Show child attributes
To show or hide agent when agents are listed
List of simplified environments associated with the agent
Show child attributes
List of knowledge_base available to the agent
Display name of the agent
JSON schema defining the structure for agent responses
List of guidelines for the agent behavior
Show child attributes
Reference to a Python tool ID that will be used for custom synthesis of task results
List of tags associated to agent
Voice configuration for the agent
Status of the agent deployment
Chat with Documents config for Agent
Show child attributes
Agent Additional Settings
Show child attributes
Enable access to context variables for this agent
List of context variable names that this agent can access
Enable/disable reasoning trace